Skip to main content
GET
/
v1
/
companies
/
{id}
/
competitors
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
  "https://api.particle.pro/v1/companies/{id}/competitors?limit=25"
{
  "data": [
    {
      "company": {
        "id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "identifiers": {
          "cik": "<string>",
          "domain": "<string>",
          "entity": {
            "id": "<string>",
            "name": "<string>",
            "slug": "<string>",
            "company": {
              "id": "<string>",
              "domain": "<string>",
              "ticker": "<string>"
            },
            "description": "<string>",
            "person": {
              "id": "<string>",
              "company": "<string>",
              "image_url": "<string>",
              "title": "<string>"
            },
            "type": {
              "name": "<string>",
              "slug": "<string>"
            },
            "wikipedia_url": "<string>"
          },
          "qid": "<string>",
          "ticker": "<string>"
        },
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "competitive_basis": "<string>"
    }
  ],
  "has_more": true,
  "cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Company slug (e.g., 'apple'), domain (e.g., 'apple.com'), or ID

Query Parameters

limit
integer<int64>
default:25

Results per page

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from previous response

Response

OK

data
object[] | null
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results